Get timesheet
curl --request GET \
--url https://api.lumonol.co.uk/ankra/get-timesheet \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumonol.co.uk/ankra/get-timesheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/get-timesheet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"date": "2023-12-25",
"sessions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"roblox_username": "<string>",
"game_name": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"minutes": 123,
"active_minutes": 123,
"messages_sent": 123
}
],
"records": [
"<unknown>"
]
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Activity
Get timesheet
One day’s sessions and added records (date).
GET
/
get-timesheet
Get timesheet
curl --request GET \
--url https://api.lumonol.co.uk/ankra/get-timesheet \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumonol.co.uk/ankra/get-timesheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/get-timesheet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"date": "2023-12-25",
"sessions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"roblox_username": "<string>",
"game_name": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"minutes": 123,
"active_minutes": 123,
"messages_sent": 123
}
],
"records": [
"<unknown>"
]
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
The day. Defaults to today (UTC).

